<?xml version="1.0" encoding="utf-8"?>
<LinearLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="#F0F0F0"
    tools:context=".ServiceActivity">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/rounded_corner_bg">

        <ImageView
            android:id="@+id/imageView8"
            android:layout_width="70dp"
            android:layout_height="57dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="21dp"
            android:layout_marginBottom="21dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/uwb_base_blue" />

        <TextView
            android:id="@+id/textView14"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="UWB基站 : 1号"
            app:layout_constraintStart_toEndOf="@+id/imageView8"
            app:layout_constraintTop_toTopOf="@+id/imageView8" />

        <TextView
            android:id="@+id/textView15"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="90%"
            app:layout_constraintBottom_toBottomOf="@+id/imageView14"
            app:layout_constraintStart_toEndOf="@+id/imageView14" />

        <TextView
            android:id="@+id/textView16"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="坐标 x:240,y:180,z:240"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/textView15"
            app:layout_constraintStart_toEndOf="@+id/textView15" />

        <ImageView
            android:id="@+id/imageView13"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="32dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/setting" />

        <ImageView
            android:id="@+id/imageView14"
            android:layout_width="23dp"
            android:layout_height="21dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            app:layout_constraintStart_toEndOf="@+id/imageView8"
            app:layout_constraintTop_toBottomOf="@+id/textView14"
            app:srcCompat="@drawable/uwb_battery" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/rounded_corner_bg">

        <ImageView
            android:id="@+id/imageView82"
            android:layout_width="70dp"
            android:layout_height="57dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="21dp"
            android:layout_marginBottom="21dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/uwb_base_blue" />

        <TextView
            android:id="@+id/textView142"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="UWB基站 : 2号"
            app:layout_constraintStart_toEndOf="@+id/imageView82"
            app:layout_constraintTop_toTopOf="@+id/imageView82" />

        <TextView
            android:id="@+id/textView152"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="98%"
            app:layout_constraintBottom_toBottomOf="@+id/imageView142"
            app:layout_constraintStart_toEndOf="@+id/imageView142" />

        <TextView
            android:id="@+id/textView162"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="坐标 x:240,y:180,z:240"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/textView152"
            app:layout_constraintStart_toEndOf="@+id/textView152" />

        <ImageView
            android:id="@+id/imageView132"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="32dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/setting" />

        <ImageView
            android:id="@+id/imageView142"
            android:layout_width="23dp"
            android:layout_height="21dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            app:layout_constraintStart_toEndOf="@+id/imageView82"
            app:layout_constraintTop_toBottomOf="@+id/textView142"
            app:srcCompat="@drawable/uwb_battery" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="100dp"
        android:layout_marginEnd="10dp"
        android:layout_marginStart="10dp"
        android:layout_marginTop="10dp"
        android:background="@drawable/rounded_corner_bg">

        <ImageView
            android:id="@+id/imageView83"
            android:layout_width="70dp"
            android:layout_height="57dp"
            android:layout_marginStart="15dp"
            android:layout_marginTop="21dp"
            android:layout_marginBottom="21dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/uwb_base_blue" />

        <TextView
            android:id="@+id/textView143"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="12dp"
            android:text="UWB基站 : 3号"
            app:layout_constraintStart_toEndOf="@+id/imageView83"
            app:layout_constraintTop_toTopOf="@+id/imageView83" />

        <TextView
            android:id="@+id/textView153"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="78%"
            app:layout_constraintBottom_toBottomOf="@+id/imageView143"
            app:layout_constraintStart_toEndOf="@+id/imageView143" />

        <TextView
            android:id="@+id/textView163"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="20dp"
            android:text="坐标 x:240,y:180,z:240"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="@+id/textView153"
            app:layout_constraintStart_toEndOf="@+id/textView153" />

        <ImageView
            android:id="@+id/imageView133"
            android:layout_width="30dp"
            android:layout_height="30dp"
            android:layout_marginTop="32dp"
            android:layout_marginEnd="12dp"
            android:layout_marginBottom="32dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/setting" />

        <ImageView
            android:id="@+id/imageView143"
            android:layout_width="23dp"
            android:layout_height="21dp"
            android:layout_marginStart="10dp"
            android:layout_marginTop="10dp"
            app:layout_constraintStart_toEndOf="@+id/imageView83"
            app:layout_constraintTop_toBottomOf="@+id/textView143"
            app:srcCompat="@drawable/uwb_battery" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/showIPBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="显示IP"
            android:gravity="center"
            android:padding="15dp" />
        <Button
            android:id="@+id/clearBtn"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="清屏"
            android:gravity="center"
            android:padding="15dp"
            android:layout_marginLeft="5dp"/>
    </LinearLayout>

    <TextView
        android:id="@+id/ipTV"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_margin="10dp"/>

    <TextView
        android:id="@+id/msgTV"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="40dp"
        android:layout_margin="10dp"/>
</LinearLayout>